X2Go Bug report logs - #547
server-side fix for 546: Unable to create SSL tunnel

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Sat, 12 Jul 2014 00:15:01 UTC

Severity: normal

Tags: pending

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#546; Package x2goclient. (Sat, 12 Jul 2014 00:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 00:15:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: Unable to create SSL tunnel: Global request tcpip-forward failed
Date: Fri, 11 Jul 2014 20:14:01 -0400
Package: x2goclient
Version: 4.0.2.1-pre05

On Windows, doing the following steps
1. Connect to a session.
2. Disconnect from the session (click the X)
3. Connect to the session again.

Causes the session to connect, but you receive both an error dialog
and a warning dialog with the following text:
Unable to create SSL tunnel:
Global request tcpip-forward failed

If you X out of or click OK to the error, nothing happens.
If you X out of or click OK to the warning, the session ends and you
get the message:
Title Bar: X2Go - 211
The connection with the remote server was shut down.
Please check the state of your network connection.

It is safe to assume that if I build x2goclient for windows from the
official source release of 4.0.2.1, it wold have this problem.

Most, if not all earlier 4.0.2.1 preview builds are affected too.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#546; Package x2goclient. (Sat, 12 Jul 2014 00:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 00:20:02 GMT) (full text, mbox, link).


Message #10 received at 546@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 546@bugs.x2go.org
Subject: Forgot to attach the command-line output
Date: Fri, 11 Jul 2014 20:16:30 -0400
[Message part 1 (text/plain, inline)]

[bug 546 --debug log.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#546; Package x2goclient. (Sat, 12 Jul 2014 16:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 16:10:02 GMT) (full text, mbox, link).


Message #15 received at 546@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 546@bugs.x2go.org
Subject: Some good investigation
Date: Sat, 12 Jul 2014 12:07:22 -0400
1. This bug was introduced by 1 of these 2 closely related back-to-back commits:

Don't start pulse on Windows, until we have not session with pulse support.
b9f981d979ab22db4d078c398ecc420f73a46f8c
http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=b9f981d979ab22db4d078c398ecc420f73a46f8c

Check if sound is activated before starting pulse.
1a07416622d25006c6458369c135124f63845a71
http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=1a07416622d25006c6458369c135124f63845a71

2. If a start a session, log out of the session gracefully, and then
start that session again:
The pulseaudio.exe process stays running after the 1st session ends,
and this bug does not occur.

3. If I do what I originally mentioned to produce this bug:
The pulseaudio process is ended after I disconnect, and then a new one
is started for when I go to reconnect. (And this bug is triggered.)

4. Sometimes I am unable to reproduce this bug. I think that if you
start a session, end that session gracefully, start that session
again, disconnect, and then reconnect, then this bug does not occur. I
did not investigate this fully.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#546; Package x2goclient. (Sat, 12 Jul 2014 21:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 21:15:01 GMT) (full text, mbox, link).


Message #20 received at 546@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 546@bugs.x2go.org
Subject: Correction
Date: Sat, 12 Jul 2014 17:14:28 -0400
Correction to #3.

The PulseAudio daemon always stays running once it is started. (It
says running until you gracefully exit x2goclient.)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#546; Package x2goclient. (Sat, 12 Jul 2014 21:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 21:25:02 GMT) (full text, mbox, link).


Message #25 received at 546@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 546@bugs.x2go.org
Subject: My plan
Date: Sat, 12 Jul 2014 17:24:34 -0400
Here's what I am going to do:

I am going to revert those 2 offending commits on the release/4.0.2.x
branch, and release 4.0.2.1+hotfix1 for Windows with them reverted. I
will mark them as fixing this bug.

(There has been and will be no 4.0.2.1 for Windows because of this bug.)

For the main branch (4.0.3.0-preview), I will clone this bug, and will
not revert those 2 commits. We will figure out how to fix the bug
without fixing these 2 commits, which are very useful. I've spent a
bunch of time but cannot figure out how to do so.


Bug 546 cloned as bug 547 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 12 Jul 2014 21:30:02 GMT) (full text, mbox, link).


Changed Bug title to 'main branch fix for 546: Unable to create SSL tunnel:' from 'Unable to create SSL tunnel: Global request tcpip-forward failed' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 12 Jul 2014 21:30:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.2.1-pre05. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 12 Jul 2014 21:30:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.3.0-preview. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 12 Jul 2014 21:30:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#547; Package x2goclient. (Wed, 23 Jul 2014 02:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 23 Jul 2014 02:15:01 GMT) (full text, mbox, link).


Message #38 received at 547@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 547@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Subject: Alex's fix in x2goserver
Date: Tue, 22 Jul 2014 22:14:44 -0400
I can confirm that Alex's commit to x2goserver (rather than
x2goclient) fixes this bug.

bf318affee905cf7cdeaa5a248dfd07bc46a8a96
Clean user SSHD process if connection between server and client lost.
This should fix error "Global request tcpip-forward failed".
http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=bf318affee905cf7cdeaa5a248dfd07bc46a8a96

Mike#1
Should I retitle and reassign this bug (#547) to x2goserver? And
should we cherry-pick it for x2goserver release/4.0.0.x &
release/4.0.1.x? We should probably release updated versions of
4.0.0.x (baikal) and 4.0.1.x at least a month before we release
x2goclient 4.0.3.0. Otherwise, people will run into this bug if they
update their clients to 4.0.3.0 but do not update their servers.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#547; Package x2goclient. (Wed, 23 Jul 2014 11:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 23 Jul 2014 11:00:02 GMT) (full text, mbox, link).


Message #43 received at 547@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 547@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Subject: Re: Alex's fix in x2goserver
Date: Wed, 23 Jul 2014 10:58:06 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2

On  Mi 23 Jul 2014 04:14:44 CEST, Michael DePaulo wrote:

> I can confirm that Alex's commit to x2goserver (rather than
> x2goclient) fixes this bug.
>
> bf318affee905cf7cdeaa5a248dfd07bc46a8a96
> Clean user SSHD process if connection between server and client lost.
> This should fix error "Global request tcpip-forward failed".
> http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=bf318affee905cf7cdeaa5a248dfd07bc46a8a96
>
> Mike#1
> Should I retitle and reassign this bug (#547) to x2goserver? And

Yes, please. Can you also check for the existence of duplicate bugs?

> should we cherry-pick it for x2goserver release/4.0.0.x &
> release/4.0.1.x? We should probably release updated versions of
> 4.0.0.x (baikal) and 4.0.1.x at least a month before we release

Yes. We should cherry-pick now. Actually, the two last commits on  
x2goserver.git, but I'd suggest only to the release/4.0.1.x branch  
(Baikal needs to be superceded by a new bundle release soon).

(1)

e125f82314aa53a4d6e68f779dc1282d9edc7d5f "Set default value for  
clipboard to "both" in x2gostartagent and x2goresume-session." [1]

-> on master branch
   revert this commit
   cherry-pick it again
   do "git reset HEAD~"
   move the changelog entry to 4.0.1.16
   add bug closure if appropriate
   commit it again in Alex's name (--author="Fullname <mailaddress>")
   ...
   Then cherry-pick it to release/4.0.1.x branch

(2)

Clean user SSHD process if connection between server and client lost.  
This should fix error "Global request tcpip-forward failed".  
bf318affee905cf7cdeaa5a248dfd07bc46a8a96 [2]

-> on master branch
   revert this commit
   cherry-pick it again
   do "git reset HEAD~"
   do "git add x2goserver/lib/x2gormforward"
   move the changelog entry to 4.0.1.16
   add bug closure if appropriate
   commit it again in Alex's name (--author="Fullname <mailaddress>")
   ...
   Then cherry-pick it to release/4.0.1.x branch

> x2goclient 4.0.3.0. Otherwise, people will run into this bug if they
> update their clients to 4.0.3.0 but do not update their servers.
>
> -Mike#2

Mike#1

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e125f82314aa53a4d6e68f779dc1282d9edc7d5f
[2]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=bf318affee905cf7cdeaa5a248dfd07bc46a8a96

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'server-side fix for 546: Unable to create SSL tunnel' from 'main branch fix for 546: Unable to create SSL tunnel:' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Thu, 24 Jul 2014 04:15:01 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goclient' to 'x2goserver'. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Thu, 24 Jul 2014 04:15:01 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.3.0-preview. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Thu, 24 Jul 2014 04:15:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#547; Package x2goserver. (Wed, 20 Aug 2014 07:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 20 Aug 2014 07:55:02 GMT) (full text, mbox, link).


Message #54 received at 547@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 547-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 547@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 20 Aug 2014 09:53:48 +0200 (CEST)
tag #547 pending
fixed #547 4.0.1.16
thanks

Hello,

X2Go issue #547 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=29572c1

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 29572c153365130822777992e02a10d1c505ebfe
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Aug 20 09:53:45 2014 +0200

    add closure for #547 (fixed by commit bf318af)

diff --git a/debian/changelog b/debian/changelog
index d9e3e0e..d19a819 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -80,7 +80,7 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and x2goresume-session.
     - Clean user SSHD process if connection between server and client lost. This should fix
-      error "Global request tcpip-forward failed". (Fixes: #495).
+      error "Global request tcpip-forward failed". (Fixes: #495, #547).
 
  -- Mike DePaulo <mikedep333@gmail.com>  Thu, 23 Apr 2014 17:49:00 -0500
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 20 Aug 2014 07:55:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 20 Aug 2014 07:55:03 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#547. (Wed, 20 Aug 2014 07:55:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#547; Package x2goserver. (Thu, 25 Sep 2014 22:45:13 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 22:45:13 GMT) (full text, mbox, link).


Message #66 received at 547@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 547-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 547@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 26 Sep 2014 00:42:16 +0200 (CEST)
close #547
thanks

Hello,

we are very hopeful that X2Go issue #547 reported by you
has been resolved in the new release (4.0.1.16) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.16)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c43b862f2ae0e8980fb7ab5e519d692b07da5a45;hp=98c4f84d83d701823b7887f79d0d9f5ce8233bd4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.16-0x2go1
Status: RELEASE
Date: Fri, 26 Sep 2014 00:36:32 +0200
Fixes: 122 302 397 406 407 458 468 495 506 511 520 523 524 543 547 558 569 572 573 574 599 605 606 617 619
Changes: 
 x2goserver (4.0.1.16-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
     - Make X2Go Server aware of the Openbox desktop environment
       (Command: OPENBOX) (Fixes: #605)
     - Make X2Go Server aware of the IceWM desktop environment
       (Command: ICEWM) (Fixes: #606)
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
       (NOTE: For most users, GNOME Flashback currently will not work.
        This requires that gnome-flashback.session actually be installed. Not
        every Linux distro has it available.
        It also requires that the gnome-session binary not require
        hardware 3D acceleration for said session. Currently, upstream GNOME
        and GNOME 3.8+ in all Linux distros do require this, only 3rd party
        builds do not. See X2Go bug #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)
       NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
       & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
       Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
       "fallback mode", which has many bugs and missing features when compared to
       "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.16):
     - Let x2goversion exit with an error if the X2Go component cannot be
       found.
     - Detect terminated sessions from NX log file. Also interpret a session as
       terminated if terminating just has started.
     - Detect started/starting/resumed/resuming sessions by explicitly scanning
       the NX session log file for those keywords.
     - Interpret NX sessions marked as "aborting session" as (not yet) terminated
       sessions.
     - Provide config option for server-side/global clipboard behaviour in
       x2goagent.options. (Fixes: #506).
     - Be aware of poly-instantiated /tmp directories bind-mounted under
       /tmp-inst. (Fixes: #406).
     - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparison in x2goumount-session.
     - Fix problems with unmounting shared folders on session suspension/
       termination. Remove extra parentheses from the fusermount execution
       call. (Fixes: #407).
     - Use type -p instead of which in x2goumount-session. Suppress output
       to stdout properly.
     - Use if--then--else--fi during x2goagent resuming in x2goresume-session
       script.
     - More reliably sync the NX session state with the status information in
       the X2Go session DB.
     - x2golistdesktops: Also detect sharable desktop sessions behind abstract
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
     - Correctly use diversions from stderr to stdout in shell commands.
       (Fixes: #520).
     - Don't die if no session state file is found, as it will break X2Go
       completely after upgrading from versions << 4.0.1.16 if sessions
       are still running/suspended during package upgrade.
     - Provide support for client-side choice of clipboard security. (Fixes:
       #524).
     - Use more quotes in x2goruncommand.
     - Detect the exit of rootless applications that forked to background on
       application execution. (Fixes: #122).
     - Make x2goruncommand more robust.
     - Don't fail Xsession startup if any of the profile scripts returns
       with an error.
     - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
       xwininfo don't produce output within one second. (Fixes: #543).
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
     - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
       #574).
     - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
       characters. (Fixes: #397).
     - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
       for applications started via pkexec. (Fixes: #458).
     - x2gocleansessions: Don't print to stderr if the session state file cannot
       be found. This can happen during session startups. Report to system log
       instead.
     - Don't use Perl package File::ReadBackwards anymore.
     - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
       only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
       use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
     - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
       with X2Go Server 4.0.1.x. (Fixes: #619).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
     + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
     + Bump Standards: to 3.9.5. No changes needed.
     + Mark x2goserver-pyhoca bin:package as deprecated.
     + Drop D (x2goserver): libfile-readbackwards-perl.
   * x2goserver.spec:
     + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
     + Drop R (x2goserver): perl(File::ReadBackwards).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and
       x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
       should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
       #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and
       x2goresume-session.
     - Clean user SSHD process if connection between server and client lost.
       This should fix error "Global request tcpip-forward failed". (Fixes:
       #495, #547).
 .
   [ Orion Paplowski ]
   * x2goserver.spec:
     + Sync Fedora .spec file with our upstream-provided x2goserver.spec.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:36 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:36 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#547. (Thu, 25 Sep 2014 22:45:59 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 5 21:48:34 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.